Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_Unbounded_Set_Ex_Const_Iterator< T > Class Template Reference

Implement a const iterator over an unbounded set. More...

`#include <Unbounded_Set_Ex.h>`

List of all members.

## Public Methods
| ACE_Unbounded_Set_Ex_Const_Iterator (const ACE_Unbounded_Set_Ex< T > &s, int end=0)
| ACE_Unbounded_Set_Ex_Const_Iterator (const ACE_Unbounded_Set_Ex_Const_Iterator &o)
void | operator= (const ACE_Unbounded_Set_Ex_Const_Iterator &o)
| ~ACE_Unbounded_Set_Ex_Const_Iterator ()
int | next (T *&next_item)
int | advance (void)
int | first (void)
int | done (void) const
| Returns 1 when all items have been seen, else 0.
void | dump (void) const
| Dump the state of an object.
ACE_Unbounded_Set_Ex_Const_Iterator< T > | operator++ (int)
| Postfix advance.
ACE_Unbounded_Set_Ex_Const_Iterator< T > & | operator++ (void)
| Prefix advance.
T & | operator * (void)
| Returns a reference to the internal element <this> is pointing to.
int | operator== (const ACE_Unbounded_Set_Ex_Const_Iterator< T > &) const
| Check if two iterators point to the same position.
int | operator!= (const ACE_Unbounded_Set_Ex_Const_Iterator< T > &) const
## Public Attributes
| ACE_ALLOC_HOOK_DECLARE
| Declare the dynamic allocation hooks.
## Private Attributes
ACE_Node< T > * | current_
| Pointer to the current node in the iteration.
const ACE_Unbounded_Set_Ex< T > * | set_
| Pointer to the set we're iterating over.
int | registered_in_set_

## Detailed Description

### template<class T>
class ACE_Unbounded_Set_Ex_Const_Iterator< T >

Implement a const iterator over an unbounded set.

The bookkeeping operations are regarded as const. (The member number_of_iterators_ in ACE_Unbounded_Set_Ex is `mutable'.) Some asynchronous activity may cause a deletion under a Const_Iterator so Const_Iterators are registered too. However, the cleanup operation isn't const at all, thus it is not called from const iterators.

## Constructor & Destructor Documentation

template<class T>
ACE_Unbounded_Set_Ex_Const_Iterator< T >::ACE_Unbounded_Set_Ex_Const_Iterator | ( | const ACE_Unbounded_Set_Ex< T > & | s,
|  | int | end = 0
| ) |

template<class T>
ACE_Unbounded_Set_Ex_Const_Iterator< T >::ACE_Unbounded_Set_Ex_Const_Iterator | ( | const ACE_Unbounded_Set_Ex_Const_Iterator< T > & | o | ) |

template<class T>
ACE_Unbounded_Set_Ex_Const_Iterator< T >::~ACE_Unbounded_Set_Ex_Const_Iterator | ( |  | ) |

## Member Function Documentation

template<class T>
int ACE_Unbounded_Set_Ex_Const_Iterator< T >::advance | ( | void |  | ) |

| Move forward by one element in the set. Returns 0 when all the items in the set have been seen, else 1.

template<class T>
int ACE_Unbounded_Set_Ex_Const_Iterator< T >::done | ( | void |  | ) | const

| Returns 1 when all items have been seen, else 0.

template<class T>
void ACE_Unbounded_Set_Ex_Const_Iterator< T >::dump | ( | void |  | ) | const

| Dump the state of an object.

template<class T>
int ACE_Unbounded_Set_Ex_Const_Iterator< T >::first | ( | void |  | ) |

| Move to the first element in the set. Returns 0 if the set is empty, else 1.

template<class T>
int ACE_Unbounded_Set_Ex_Const_Iterator< T >::next | ( | T *& | next_item | ) |

| Pass back the <next_item> that hasn't been seen in the Set. Returns 0 when all items have been seen, else 1.

template<class T>
T & ACE_Unbounded_Set_Ex_Const_Iterator< T >::operator * | ( | void |  | ) |

| Returns a reference to the internal element <this> is pointing to.

template<class T>
int ACE_Unbounded_Set_Ex_Const_Iterator< T >::operator!= | ( | const ACE_Unbounded_Set_Ex_Const_Iterator< T > & |  | ) | const

template<class T>
ACE_Unbounded_Set_Ex_Const_Iterator< T > & ACE_Unbounded_Set_Ex_Const_Iterator< T >::operator++ | ( | void |  | ) |

| Prefix advance.

template<class T>
ACE_Unbounded_Set_Ex_Const_Iterator< T > ACE_Unbounded_Set_Ex_Const_Iterator< T >::operator++ | ( | int |  | ) |

| Postfix advance.

template<class T>
void ACE_Unbounded_Set_Ex_Const_Iterator< T >::operator= | ( | const ACE_Unbounded_Set_Ex_Const_Iterator< T > & | o | ) |

template<class T>
int ACE_Unbounded_Set_Ex_Const_Iterator< T >::operator== | ( | const ACE_Unbounded_Set_Ex_Const_Iterator< T > & |  | ) | const

| Check if two iterators point to the same position.

## Member Data Documentation

template<class T>
ACE_Unbounded_Set_Ex_Const_Iterator< T >::ACE_ALLOC_HOOK_DECLARE

| Declare the dynamic allocation hooks.

template<class T>
ACE_Node<T>* ACE_Unbounded_Set_Ex_Const_Iterator< T >::current_`[private]`

| Pointer to the current node in the iteration.

template<class T>
int ACE_Unbounded_Set_Ex_Const_Iterator< T >::registered_in_set_`[private]`

template<class T>
const ACE_Unbounded_Set_Ex<T>* ACE_Unbounded_Set_Ex_Const_Iterator< T >::set_`[private]`

| Pointer to the set we're iterating over.

The documentation for this class was generated from the following files:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Unbounded_Set_Ex.h
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Unbounded_Set_Ex.cpp